aboutsummaryrefslogtreecommitdiff
path: root/src/mint/test_taler_mint_httpd.sh
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2015-07-08 09:48:12 +0200
committerChristian Grothoff <christian@grothoff.org>2015-07-08 09:48:12 +0200
commit398bda22748ab125e81db553ae4fe9cd5712aa28 (patch)
tree9094b2183fde50b91c9f97144be0d28eb3f51616 /src/mint/test_taler_mint_httpd.sh
parent663ea48047a159aaa482408a59a869b6db8a82a8 (diff)
downloadexchange-398bda22748ab125e81db553ae4fe9cd5712aa28.tar.gz
exchange-398bda22748ab125e81db553ae4fe9cd5712aa28.tar.bz2
exchange-398bda22748ab125e81db553ae4fe9cd5712aa28.zip
mint malformed request testing
Diffstat (limited to 'src/mint/test_taler_mint_httpd.sh')
-rwxr-xr-xsrc/mint/test_taler_mint_httpd.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/src/mint/test_taler_mint_httpd.sh b/src/mint/test_taler_mint_httpd.sh
new file mode 100755
index 000000000..b56706a16
--- /dev/null
+++ b/src/mint/test_taler_mint_httpd.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+#
+# This file is part of TALER
+# Copyright (C) 2015 GNUnet e.V.
+#
+# TALER is free software; you can redistribute it and/or modify it under the
+# terms of the GNU Affero General Public License as published by the Free Software
+# Foundation; either version 3, or (at your option) any later version.
+#
+# TALER is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License along with
+# TALER; see the file COPYING. If not, If not, see <http://www.gnu.org/licenses/>
+#
+#
+# This script uses 'curl' to POST various ill-formed requests to the
+# taler-mint-httpd. Basically, the goal is to make sure that the
+# HTTP server survives (and produces the 'correct' error code).
+#
+# We read the JSON snippets to POST from test_atler_mint_httpd.data
+#
+# Setup keys.
+taler-mint-keyup -d test-mint-home -m test-mint-home/master.priv
+# Run Mint HTTPD (in background)
+taler-mint-httpd -d test-mint-home &
+# Give HTTP time to start
+sleep 2
+# Run test...
+cat test_taler_mint_httpd.data | grep -v ^\# | awk '{ print "curl -d '\''" $2 "'\'' http://localhost:8081"$1 }' | bash
+# Stop HTTP server
+kill -TERM %%
+# FIXME: not sure this is the 'correct' return code...
+exit $?